WPSEO_Admin_Asset_Yoast_Components_L10n::localize_script()publicYoast 1.0

Устарела с версии 18.0. Больше не поддерживается и может быть удалена. Рекомендуется заменить эту функцию на аналог.

Localizes the given script with the JavaScript translations.

{} Это метод класса: WPSEO_Admin_Asset_Yoast_Components_L10n{}

Хуков нет.

Возвращает

null. Ничего.

Использование

$WPSEO_Admin_Asset_Yoast_Components_L10n = new WPSEO_Admin_Asset_Yoast_Components_L10n();
$WPSEO_Admin_Asset_Yoast_Components_L10n->localize_script( $script_handle );
$script_handle(строка) (обязательный)
The script handle to localize for.

Список изменений

Устарела с 18.0

Код WPSEO_Admin_Asset_Yoast_Components_L10n::localize_script() Yoast 19.7.1

public function localize_script( $script_handle ) {
	_deprecated_function( __FUNCTION__, '18.0' );
	$translations = [
		'yoast-components'    => $this->get_translations( 'yoast-components' ),
		'wordpress-seo'       => $this->get_translations( 'wordpress-seojs' ),
		'yoast-schema-blocks' => $this->get_translations( 'yoast-schema-blocks' ),
	];
	$this->asset_manager->localize_script( $script_handle, 'wpseoYoastJSL10n', $translations );
}